<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__smif__macros__flags" kind="group">
    <compoundname>group_smif_macros_flags</compoundname>
    <title>External Memory Flags</title>
      <sectiondef kind="define">
      <memberdef id="group__group__smif__macros__flags_1ga15f5cbfbdc6a3cb4a35b7705743777f0" kind="define" prot="public" static="no">
        <name>CY_SMIF_FLAG_ALL_DISABLED</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>All memory configuration flags are disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="89" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="85" />
      </memberdef>
      <memberdef id="group__group__smif__macros__flags_1gae3932175eef63cefb6740f7b8287067a" kind="define" prot="public" static="no">
        <name>CY_SMIF_FLAG_WRITE_ENABLE</name>
        <initializer>(SMIF_DEVICE_CTL_WR_EN_Msk)</initializer>
        <briefdescription>
<para>Enables the write capability for the memory slave in the memory-mapped mode. </para>        </briefdescription>
        <detaileddescription>
<para>Valid when the memory-mapped mode is enabled </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="92" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="88" />
      </memberdef>
      <memberdef id="group__group__smif__macros__flags_1ga29c9ff0df16794497a73170841902770" kind="define" prot="public" static="no">
        <name>CY_SMIF_FLAG_MEMORY_MAPPED</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>Determines if the device is memory-mapped. </para>        </briefdescription>
        <detaileddescription>
<para>If enabled, this memory slot will be initialized in System init </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="91" />
      </memberdef>
      <memberdef id="group__group__smif__macros__flags_1ga23e01da45ea8e930e94279967557a1c5" kind="define" prot="public" static="no">
        <name>CY_SMIF_FLAG_DETECT_SFDP</name>
        <initializer>(4U)</initializer>
        <briefdescription>
<para>Enables the Autodetect using the SFDP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="92" />
      </memberdef>
      <memberdef id="group__group__smif__macros__flags_1ga4a63040de70e518360dc47c1afe146e3" kind="define" prot="public" static="no">
        <name>CY_SMIF_FLAG_CRYPTO_ENABLE</name>
        <initializer>(SMIF_DEVICE_CTL_CRYPTO_EN_Msk)</initializer>
        <briefdescription>
<para>Enables the crypto support for this memory slave. </para>        </briefdescription>
        <detaileddescription>
<para>All access to the memory device goes through the encryption/decryption Valid when the memory-mapped mode is enabled </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="100" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="96" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>